<template>
  <div>
    <el-popconfirm :title="'确定删除当前打款明细吗？'" @confirm="deleteRow()">
      <el-button :disabled="disabled" slot="reference" size="mini" type="text">删 除</el-button>
    </el-popconfirm>
  </div>
</template>

<script>
export default {
  name: '',
  data() {
    return {
    };
  },
  props:['id','disabled'],
  computed:{
  },
  watch:{
  },
  methods: {
    async deleteRow() {
      let res = await this.$api.requested({
        "id": 20221227093004,
        "content": {
            "sa_paybillid":this.$route.query.id,
            "sa_paybilldetailids":[this.id]
        }
      })
      this.tool.showMessage(res,() => {
        this.$emit('onSuccess')
      })
    },
  },
};
</script>

<style scoped>

</style>
